org.jclouds.iam.options
Class ListUsersOptions

java.lang.Object
  extended by org.jclouds.http.options.BaseHttpRequestOptions
      extended by org.jclouds.iam.options.ListUsersOptions
All Implemented Interfaces:
Cloneable, HttpRequestOptions

public class ListUsersOptions
extends BaseHttpRequestOptions
implements Cloneable

Options used to list available users.

Author:
Adrian Cole
See Also:

Nested Class Summary
static class ListUsersOptions.Builder
           
 
Field Summary
 
Fields inherited from class org.jclouds.http.options.BaseHttpRequestOptions
formParameters, headers, matrixParameters, pathSuffix, payload, queryParameters
 
Constructor Summary
ListUsersOptions()
           
 
Method Summary
 ListUsersOptions afterMarker(Object afterMarker)
          Use this parameter only when paginating results, and only in a subsequent request after you've received a response where the results are truncated.
 com.google.common.collect.Multimap<String,String> buildFormParameters()
          Builds form parameters representing options.
 ListUsersOptions clone()
           
 boolean equals(Object obj)
          
 int hashCode()
          
 ListUsersOptions maxItems(Integer maxItems)
          Use this parameter only when paginating results to indicate the maximum number of user names you want in the response.
 ListUsersOptions pathPrefix(String pathPrefix)
          The path prefix for filtering the results.
 String toString()
          
 
Methods inherited from class org.jclouds.http.options.BaseHttpRequestOptions
buildMatrixParameters, buildPathSuffix, buildQueryParameters, buildRequestHeaders, buildStringPayload, getFirstFormOrNull, getFirstHeaderOrNull, getFirstMatrixOrNull, getFirstQueryOrNull, replaceHeader
 
Methods inherited from class java.lang.Object
finalize, getClass, notify, notifyAll, wait, wait, wait
 

Constructor Detail

ListUsersOptions

public ListUsersOptions()
Method Detail

afterMarker

public ListUsersOptions afterMarker(Object afterMarker)
Use this parameter only when paginating results, and only in a subsequent request after you've received a response where the results are truncated. Set it to the value of the Marker element in the response you just received.


maxItems

public ListUsersOptions maxItems(Integer maxItems)
Use this parameter only when paginating results to indicate the maximum number of user names you want in the response. If there are additional user names beyond the maximum you specify, the IsTruncated response element is true.


pathPrefix

public ListUsersOptions pathPrefix(String pathPrefix)
The path prefix for filtering the results. For example: /division_abc/subdivision_xyz/, which would get all user names whose path starts with /division_abc/subdivision_xyz/.

This parameter is optional. If it is not included, it defaults to a slash (/), listing all user names.


buildFormParameters

public com.google.common.collect.Multimap<String,String> buildFormParameters()
Description copied from interface: HttpRequestOptions
Builds form parameters representing options.

Specified by:
buildFormParameters in interface HttpRequestOptions
Overrides:
buildFormParameters in class BaseHttpRequestOptions
Returns:
map that may contain query parameters.

hashCode

public int hashCode()

Overrides:
hashCode in class BaseHttpRequestOptions

clone

public ListUsersOptions clone()
Overrides:
clone in class Object

equals

public boolean equals(Object obj)

Overrides:
equals in class BaseHttpRequestOptions

toString

public String toString()

Overrides:
toString in class BaseHttpRequestOptions


Copyright © 2009-2012 jclouds. All Rights Reserved.